using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace SharePoint
{
    class HolidayTheme : SPFeatureReceiver
    {
        public override void FeatureInstalled(SPFeatureReceiverProperties properties){}
 
        public override void FeatureActivated(SPFeatureReceiverProperties properties)
        {
            SPWeb site = (SPWeb)properties.Feature.Parent;
            site.ApplyTheme("Holiday");
            site.Update();
        }
        public override void FeatureDeactivating(SPFeatureReceiverProperties properties)
        {
            SPWeb site = properties.Feature.Parent as SPWeb;
            site.ApplyTheme("Corporate");
            site.Update();
        }

        public override void FeatureUninstalling(SPFeatureReceiverProperties properties){}
    }
}
